---
title: MediaStreamTrack.getCapabilities()
slug: Web/API/MediaStreamTrack/getCapabilities
tags:
  - API
  - Media Capture and Streams API
  - Media Streams API
  - MediaStreamTrack
  - Method
  - Reference
  - getCapabilities
---
<div>{{APIRef("Media Capture and Streams")}}</div>

<p><span class="seoSummary">The <strong><code>getCapabilities()</code></strong> method of the {{domxref("MediaStreamTrack")}} interface returns a {{domxref('MediaTrackCapabilities')}} object which specifies the values or range of values which each constrainable property, based upon the platform and {{Glossary("user agent")}}.</span></p>

<p>Once you know what the browser's capabilities are, your script can use {{domxref("MediaStreamTrack.applyConstraints", "applyConstraints()")}} to ask for the track to be configured to match ideal or acceptable settings. See <a href="/en-US/docs/Web/API/Media_Streams_API/Constraints">Capabilities, constraints, and settings</a> for details on how to work with constrainable properties.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">const <em>capabilities</em> = <em>track</em>.getCapabilities()</pre>

<h3 id="Return_value">Return value</h3>

<p>A {{domxref('MediaTrackCapabilities')}} object which specifies the value or range of values which are supported for each of the user agent's supported constrainable properties.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Media Capture', '#dom-mediastreamtrack-getcapabilities', 'getCapabilities()')}}</td>
   <td>{{Spec2('Media Capture')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.MediaStreamTrack.getCapabilities")}}</p>
